<div class="container">
    <div class="row">
        <div class="col-md-2"> 
                <label class="text-light"> Genres </label>
            <div class="card text-white bg-dark mb-3 btn-group-vertical btn-group-toggle" data-toggle="buttons">
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('all')" checked> All
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('action')"> Action
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('adventure')"> Adventure
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('comedy')"> Comedy
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('crime')"> Crime
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('drama')"> Drama
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('fantasy')"> Fantasy
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('horror')"> Horror
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('romance')"> Romance
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('sci-fi')"> Sci-Fi
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('sport')"> Sport
                </label>
                <label class="card-body btn btn-dark">
                    <input type="radio" name="genre" (click)="changeGenre('thriller')"> Thriller
                </label>
            </div>
        </div>

        <div class="col-md-10"> 
            <div class="form-group mb-4">
                <input type="search" placeholder="Search by title" class="form-control form-control-underlined text-light" [(ngModel)]="search">
            </div>

            <div *ngFor="let film of filmList 
                                   | async 
                                   | callback: isSearchTermContained.bind(this)
                                   | callback: isSelectedGenre.bind(this) 
                                   | paginate: { id: 'films', itemsPerPage: 10, currentPage: currentPage }">
                <app-film [film]="film" [isInWatchlist]="isInWatchlist(film)"></app-film>
            </div>
            <pagination-controls class="text-white" (pageChange)="currentPage = $event" id="films"></pagination-controls>
        </div>
    </div>
</div>
